package com.jiayue.ipfcst.common.core.util;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONUtil;

import java.util.List;

/**
 * Json和bean相互转换
 *
 * @author bizy
 * @version 3.0
 */
public class JsonBeanUtil {

    /**
     * json转bean
     *
     * @param json json字符串
     * @param t    泛型
     * @param <T>  泛型Class对象
     * @return 泛型集合
     */
    public static <T> List<T> jsonToBean(String json, Class<T> t) {
        JSONArray array = JSONUtil.parseArray(json);
        List<T> list = array.toList(t);
        return list;
    }

    /**
     * bean转json
     *
     * @param list bean集合
     * @param <T>
     * @return 返回string对象
     */
    public static <T> String beanToJson(List<T> list) {
        JSONArray jsonArray = JSONUtil.parseArray(list);
        return jsonArray.toString();
    }
}
